<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::SupportVectorRegression&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_support_vector_regression.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classmelon_1_1_support_vector_regression-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::SupportVectorRegression&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Class defining support vector machine for regression to be used in the MAiNGO solver.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="svm_8h_source.html">svm.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::SupportVectorRegression&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_support_vector_regression.png" usemap="#melon::SupportVectorRegression_3C_20T_20_3E_map" alt=""/>
  <map id="melon::SupportVectorRegression_3C_20T_20_3E_map" name="melon::SupportVectorRegression_3C_20T_20_3E_map">
<area href="classmelon_1_1_support_vector_machine.html" title="Class defining support vector machine to be used in the MAiNGO solver." alt="melon::SupportVectorMachine&lt; T &gt;" shape="rect" coords="0,56,227,80"/>
<area href="classmelon_1_1_melon_model.html" alt="melon::MelonModel&lt; T &gt;" shape="rect" coords="0,0,227,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a44ff96300fb49cea7bf8d5b70c2c7104" id="r_a44ff96300fb49cea7bf8d5b70c2c7104"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a44ff96300fb49cea7bf8d5b70c2c7104">_decision_function</a> (std::vector&lt; T &gt; input) override</td></tr>
<tr class="memdesc:a44ff96300fb49cea7bf8d5b70c2c7104"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decision function for support vector regression.  <br /></td></tr>
<tr class="separator:a44ff96300fb49cea7bf8d5b70c2c7104"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_support_vector_machine"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_support_vector_machine')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td></tr>
<tr class="memitem:a1cf7bc508b3f3eb3e6aa2b43578ab867 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_a1cf7bc508b3f3eb3e6aa2b43578ab867"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a1cf7bc508b3f3eb3e6aa2b43578ab867">SupportVectorMachine</a> ()</td></tr>
<tr class="memdesc:a1cf7bc508b3f3eb3e6aa2b43578ab867 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <br /></td></tr>
<tr class="separator:a1cf7bc508b3f3eb3e6aa2b43578ab867 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c00f7ec0bfe43f85dc386ae4832916 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_a26c00f7ec0bfe43f85dc386ae4832916"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a26c00f7ec0bfe43f85dc386ae4832916">SupportVectorMachine</a> (std::string modelName)</td></tr>
<tr class="memdesc:a26c00f7ec0bfe43f85dc386ae4832916 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a26c00f7ec0bfe43f85dc386ae4832916 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a401274575c100133a03e8cbf118153d6 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_a401274575c100133a03e8cbf118153d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a401274575c100133a03e8cbf118153d6">SupportVectorMachine</a> (std::string modelPath, std::string modelName)</td></tr>
<tr class="memdesc:a401274575c100133a03e8cbf118153d6 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a401274575c100133a03e8cbf118153d6 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf424b9a1b23030fd3bb259d0b67800 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_afbf424b9a1b23030fd3bb259d0b67800"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#afbf424b9a1b23030fd3bb259d0b67800">SupportVectorMachine</a> (std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> &gt; modelData)</td></tr>
<tr class="memdesc:afbf424b9a1b23030fd3bb259d0b67800 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:afbf424b9a1b23030fd3bb259d0b67800 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2deaf0cc2520318c8208f3d552d040cf inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_a2deaf0cc2520318c8208f3d552d040cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a2deaf0cc2520318c8208f3d552d040cf">get_fullspace_variables</a> (size_t &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds)</td></tr>
<tr class="memdesc:a2deaf0cc2520318c8208f3d552d040cf inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates variables for the full space formulation in MAiNGO.  <br /></td></tr>
<tr class="separator:a2deaf0cc2520318c8208f3d552d040cf inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa24acc1421812ac374878aa9f73007c8 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_aa24acc1421812ac374878aa9f73007c8"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#aa24acc1421812ac374878aa9f73007c8">calculate_prediction_full_space</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints)</td></tr>
<tr class="memdesc:aa24acc1421812ac374878aa9f73007c8 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction based on inputs and set constraints for fullspace formulation.  <br /></td></tr>
<tr class="separator:aa24acc1421812ac374878aa9f73007c8 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af395a6dfdc70892d7ae11ddfda45936d inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_af395a6dfdc70892d7ae11ddfda45936d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#af395a6dfdc70892d7ae11ddfda45936d">calculate_prediction_reduced_space</a> (std::vector&lt; T &gt; input)</td></tr>
<tr class="memdesc:af395a6dfdc70892d7ae11ddfda45936d inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction based on inputs in reduced space.  <br /></td></tr>
<tr class="separator:af395a6dfdc70892d7ae11ddfda45936d inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b66a6ddb023bd946815e7d1b885b273 inherit pub_methods_classmelon_1_1_support_vector_machine" id="r_a0b66a6ddb023bd946815e7d1b885b273"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a0b66a6ddb023bd946815e7d1b885b273">get_number_of_full_space_variables</a> ()</td></tr>
<tr class="memdesc:a0b66a6ddb023bd946815e7d1b885b273 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the number of full space variables.  <br /></td></tr>
<tr class="separator:a0b66a6ddb023bd946815e7d1b885b273 inherit pub_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model" id="r_a1c7f4a28d7a34e48a93b9899a66204b0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a> ()=default</td></tr>
<tr class="memdesc:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <br /></td></tr>
<tr class="separator:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model" id="r_a9acb78ea183bc6bf583540efcef58a0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a> (std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model" id="r_ae002de8e7c020adfcad49ce7e050066e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a> (std::string modelPath, std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model" id="r_a37fb378f8eabbcfdb7db707dbfa04a26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData)</td></tr>
<tr class="memdesc:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_support_vector_machine"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_support_vector_machine')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td></tr>
<tr class="memitem:ad1a0be4db1d52bf32f1651142a422a22 inherit pro_methods_classmelon_1_1_support_vector_machine" id="r_ad1a0be4db1d52bf32f1651142a422a22"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#ad1a0be4db1d52bf32f1651142a422a22">_set_data_object</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData) override</td></tr>
<tr class="memdesc:ad1a0be4db1d52bf32f1651142a422a22 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets data object containing model parameters.  <br /></td></tr>
<tr class="separator:ad1a0be4db1d52bf32f1651142a422a22 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6565c54b8f61f6ad7e03dab3f56d5b0 inherit pro_methods_classmelon_1_1_support_vector_machine" id="r_ac6565c54b8f61f6ad7e03dab3f56d5b0"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#ac6565c54b8f61f6ad7e03dab3f56d5b0">_calculate_prediction</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints)</td></tr>
<tr class="memdesc:ac6565c54b8f61f6ad7e03dab3f56d5b0 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction.  <br /></td></tr>
<tr class="separator:ac6565c54b8f61f6ad7e03dab3f56d5b0 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b02218e266feb6cced0584c6f965a96 inherit pro_methods_classmelon_1_1_support_vector_machine" id="r_a4b02218e266feb6cced0584c6f965a96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a4b02218e266feb6cced0584c6f965a96">_update_kernel</a> ()</td></tr>
<tr class="memdesc:a4b02218e266feb6cced0584c6f965a96 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads kernel according to loaded internal parameters.  <br /></td></tr>
<tr class="separator:a4b02218e266feb6cced0584c6f965a96 inherit pro_methods_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model" id="r_a0877da878cabba96d129b5e2540b9eca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a> (std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt; parserFactory)</td></tr>
<tr class="memdesc:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model" id="r_ab783bd628a80774149c34f0e2b8f8f48"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model" id="r_a7b1045b2b3c48d7e89042abbf042184e"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_support_vector_machine"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_support_vector_machine')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td></tr>
<tr class="memitem:aa2b45da4783283842e9cd42846753315 inherit pro_attribs_classmelon_1_1_support_vector_machine" id="r_aa2b45da4783283842e9cd42846753315"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#aa2b45da4783283842e9cd42846753315">_data</a></td></tr>
<tr class="separator:aa2b45da4783283842e9cd42846753315 inherit pro_attribs_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeac5223941266357a7711260527808a inherit pro_attribs_classmelon_1_1_support_vector_machine" id="r_aeeac5223941266357a7711260527808a"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt; double, T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#aeeac5223941266357a7711260527808a">_kernel</a></td></tr>
<tr class="separator:aeeac5223941266357a7711260527808a inherit pro_attribs_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae16e1a18a7c8a6237bba83c43f31ed29 inherit pro_attribs_classmelon_1_1_support_vector_machine" id="r_ae16e1a18a7c8a6237bba83c43f31ed29"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#ae16e1a18a7c8a6237bba83c43f31ed29">_inputScaler</a></td></tr>
<tr class="separator:ae16e1a18a7c8a6237bba83c43f31ed29 inherit pro_attribs_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f2560dacef790d4668cbc27bea19178 inherit pro_attribs_classmelon_1_1_support_vector_machine" id="r_a6f2560dacef790d4668cbc27bea19178"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_support_vector_machine.html#a6f2560dacef790d4668cbc27bea19178">_outputScaler</a></td></tr>
<tr class="separator:a6f2560dacef790d4668cbc27bea19178 inherit pro_attribs_classmelon_1_1_support_vector_machine"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a17ac3b399c0615c5e4033f532e8cc7c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a> { false }</td></tr>
<tr class="separator:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a79a4a98914ebfc91398a20b9014726e1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td></tr>
<tr class="separator:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;typename T&gt;<br />
class melon::SupportVectorRegression&lt; T &gt;</div><p>Class defining support vector machine for regression to be used in the MAiNGO solver. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a44ff96300fb49cea7bf8d5b70c2c7104" name="a44ff96300fb49cea7bf8d5b70c2c7104"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44ff96300fb49cea7bf8d5b70c2c7104">&#9670;&#160;</a></span>_decision_function()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_support_vector_regression.html">melon::SupportVectorRegression</a>&lt; T &gt;::_decision_function </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Decision function for support vector regression. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing the kernel evaluations for the the support vectors with the input.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the decision function </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1_support_vector_machine.html#abf0be2b3dd923d3594af7d93eecc9ca8">melon::SupportVectorMachine&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/support vector machine/model/inc/<a class="el" href="svm_8h_source.html">svm.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_support_vector_regression.html">SupportVectorRegression</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
